"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CaptionLabel = void 0;
var react_1 = __importDefault(require("react"));
var contexts_1 = require("../../contexts");
/** Render the caption for the displayed month. This component is used when `captionLayout="buttons"`. */
function CaptionLabel(props) {
    var _a = contexts_1.useDayPicker(), locale = _a.locale, classNames = _a.classNames, styles = _a.styles, formatCaption = _a.formatters.formatCaption;
    return (react_1.default.createElement("div", { key: "caption", className: classNames.caption_label, style: styles.caption_label, "aria-live": "polite" }, formatCaption(props.displayMonth, { locale: locale })));
}
exports.CaptionLabel = CaptionLabel;
//# sourceMappingURL=CaptionLabel.js.map