"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_2 = require("@testing-library/react");
var timekeeper_1 = __importDefault(require("timekeeper"));
var contexts_1 = require("../../contexts");
var CaptionLabel_1 = require("./CaptionLabel");
var FrozenDate = new Date(1979, 8);
beforeEach(function () { return timekeeper_1.default.freeze(FrozenDate); });
afterEach(function () { return timekeeper_1.default.reset(); });
test('should render the formatted display month', function () {
    react_2.render(react_1.default.createElement(contexts_1.ContextProvider, null,
        react_1.default.createElement(CaptionLabel_1.CaptionLabel, { displayMonth: FrozenDate })));
    var label = react_2.screen.getByText(/september 1979/i);
    expect(label).toBeInTheDocument();
});
test('should apply the `caption_label` class name', function () {
    react_2.render(react_1.default.createElement(contexts_1.ContextProvider, { classNames: { caption_label: 'foo' } },
        react_1.default.createElement(CaptionLabel_1.CaptionLabel, { displayMonth: FrozenDate })));
    var label = react_2.screen.getByText(/september 1979/i);
    expect(label).toBeInTheDocument();
});
//# sourceMappingURL=CaptionLabel.test.js.map