"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Head = void 0;
var react_1 = __importDefault(require("react"));
var contexts_1 = require("../../contexts");
var utils_1 = require("./utils");
/**
 * Render the Head component - i.e. the table head with the weekday names.
 */
function Head() {
    var _a = contexts_1.useDayPicker(), classNames = _a.classNames, styles = _a.styles, showWeekNumber = _a.showWeekNumber, locale = _a.locale, formatWeekdayName = _a.formatters.formatWeekdayName, labelWeekday = _a.labels.labelWeekday;
    var weekdays = utils_1.getWeekdays(locale);
    return (react_1.default.createElement("thead", { style: styles.head, className: classNames.head },
        react_1.default.createElement("tr", { style: styles.head_row, className: classNames.head_row },
            showWeekNumber && (react_1.default.createElement("th", { scope: "col", style: styles.head_cell, className: classNames.head_cell })),
            weekdays.map(function (weekday, i) { return (react_1.default.createElement("th", { key: i, scope: "col", className: classNames.head_cell, style: styles.head_cell, "aria-label": labelWeekday(weekday, { locale: locale }) }, formatWeekdayName(weekday, { locale: locale }))); }))));
}
exports.Head = Head;
//# sourceMappingURL=Head.js.map