"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_2 = require("@testing-library/react");
var contexts_1 = require("../../contexts");
var IconDropdown_1 = require("./IconDropdown");
var icon;
var result;
describe('when rendered without props', function () {
    beforeEach(function () {
        result = react_2.render(react_1.default.createElement(contexts_1.ContextProvider, null,
            react_1.default.createElement(IconDropdown_1.IconDropdown, null)));
        icon = result.container.children[0];
    });
    test('should render a svg element', function () {
        expect(icon.tagName).toBe('svg');
    });
});
describe('when using a class name from props', function () {
    beforeEach(function () {
        result = react_2.render(react_1.default.createElement(contexts_1.ContextProvider, null,
            react_1.default.createElement(IconDropdown_1.IconDropdown, { className: "foo" })));
        icon = result.container.children[0];
    });
    test('should add the class name', function () {
        expect(icon.classList).toContain('foo');
    });
});
//# sourceMappingURL=IconDropdown.test.js.map