"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextProvider = void 0;
var react_1 = __importDefault(require("react"));
var DayPickerContext_1 = require("./DayPickerContext");
var FocusContext_1 = require("./FocusContext");
var NavigationContext_1 = require("./NavigationContext");
var SelectMultipleContext_1 = require("./SelectMultipleContext");
var SelectRangeContext_1 = require("./SelectRangeContext");
var SelectSingleContext_1 = require("./SelectSingleContext");
/** Provide the value for all the context providers. */
function ContextProvider(props) {
    var children = props.children, initialProps = __rest(props, ["children"]);
    return (react_1.default.createElement(DayPickerContext_1.DayPickerProvider, { initialProps: initialProps },
        react_1.default.createElement(NavigationContext_1.NavigationProvider, null,
            react_1.default.createElement(SelectRangeContext_1.SelectRangeProvider, { initialProps: initialProps },
                react_1.default.createElement(SelectMultipleContext_1.SelectMultipleProvider, { initialProps: initialProps },
                    react_1.default.createElement(SelectSingleContext_1.SelectSingleProvider, { initialProps: initialProps },
                        react_1.default.createElement(FocusContext_1.FocusProvider, null, children)))))));
}
exports.ContextProvider = ContextProvider;
//# sourceMappingURL=ContextProvider.js.map