"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSelectSingle = void 0;
var react_1 = __importDefault(require("react"));
var SelectSingleContext_1 = require("./SelectSingleContext");
/** Hook to access the [[SelectSingleContext]]. */
function useSelectSingle() {
    var context = react_1.default.useContext(SelectSingleContext_1.SelectSingleContext);
    if (!context) {
        throw new Error('useSelectSingle must be used within a SelectSingleProvider');
    }
    return context;
}
exports.useSelectSingle = useSelectSingle;
//# sourceMappingURL=useSelectSingle.js.map